{
    attributes = (
        {
            columnName = C_STRUCTURE; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = DATAS_PHOTO; 
            externalType = "LONG RAW"; 
            name = datasPhoto; 
            userInfo = {modificationDate = "1998-02-09 16:46:20 +0100"; }; 
            valueClassName = NSData; 
        }, 
        {
            allowsNull = Y; 
            columnName = DATE_PRISE; 
            externalType = DATE; 
            name = datePrise; 
            valueClassName = NSCalendarDate; 
        }
    ); 
    attributesUsedForLocking = (cStructure); 
    className = EOGenericRecord; 
    classProperties = (datePrise, cStructure, datasPhoto, toGrhumStructureUlr); 
    externalName = GRHUM.PHOTOS_STRUCTURES_GRHUM; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {_nameInObjectStore = "PHOTO.PHOTOS_STRUCTURES_GRHUM@BLOBS.WORLD"; }; 
    name = GrhumPhotosStructures; 
    primaryKeyAttributes = (cStructure); 
    relationships = (
        {
            destination = GrhumStructureUlr; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = toGrhumStructureUlr; 
        }
    ); 
}
